moonlight

Mozilla Firefox is de webbrowser van Mozilla. Volg in geval van problemen eerst onze standaard diagnose.
molens
Berichten: 15
Lid geworden op: 16 Maart 2011, 20:35
Mozilla/5.0 (X11; Linux i686; rv:2.0.1) Gecko/20100101 Firefox/4.0.1

moonlight

Berichtdoor molens » 8 Mei 2011, 9:55

Ik heb Moonlight 3.99.0.3 gedownload en geprobeerd te installeren in Firefox 4.0.1. Dan zegt firefox: Novell Moonlight is niet compatibel met firefox 4.0.1. Is daar een oplossing voor? Ik gebruik SalineOS gebaseerd op Debian.

Gebruikersavatar
nirwana
Beheerder
Berichten: 11675
Lid geworden op: 19 September 2003, 5:09
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0.1) Gecko/20100101 Firefox/4.0.1

Re: moonlight

Berichtdoor nirwana » 8 Mei 2011, 10:34

Je kunt dit inderdaad omzeilen door aan about:config een boolean-instelling toe te voegen met de naam extensions.checkCompatibility.4.0.1 en deze de waarde false te geven. Daarna zou Firefox hier niet meer over mogen klagen.

Ook kun je de extensie zelf uit elkaar halen (het is een zip-bestand) en dan in 1 van de tekstbestanden (install.rdf) aangeven dat de extensie wel compatible is met Firefox 4.0.1. Daarin staat namelijk ergens een stukje voor Firefox en daaronder zal vast iets met 4.0 staan. Als je daar 4.0.* neer zet dan zou het al verholpen moeten zijn. Dan moet je echter de extensie ook weer inpakken en opnieuw aan Firefox aanbieden. Deze methode is wat dat betreft iets gevaarlijker, omdat je de extensie op deze manier aanpast.

Beide manieren kunnen het gewenste resultaat opleveren, dus je moet maar zien wat jou de makkelijkste methode lijkt.
Met vriendelijke groet,

Martijn
[ Mede-oprichter + webmaster MozBrowser | beheerder Startpagina's over GIMP, Mozilla, OpenOffice.org / LibreOffice, opensource en Windows 10 ]


Terug naar “Mozilla Firefox”